BorderedMorph subclass: #DWSPDeveloperMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Developer-Workspace'!
!DWSPDeveloperMenu commentStamp: 'TBN 10/22/2003 17:08' prior: 0!
A simple menu helping developer to open the tools

	DWSPDeveloperMenu open!


!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 16:27'!
addButton: imageSelector action: selector target: target helpText: text at: aPoint

 	| x1 x2 y1 y2 |
	x1 := (aPoint x - 1) * 36 + 2.
	x2 := x1 + 36.
	y1 := (aPoint y - 1) * 36 + 22.
	y2 := y1 + 36.
	
	self 
		addButton: imageSelector 
		action: selector 
		target: target 
		helpText: text 
		fractions: #(0 0 0 0) 
		offsets: (Array with: x1 with: y1 with: x2 with: y2)
 ! !

!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 15:44'!
addButton: imageSelector action: selector target: target helpText: text fractions: fractions offsets: offset
	|image button|
	image := self class perform: imageSelector.
	button := DWSPToolButton	
				 image: image 
				 actionSelector: selector 
				 target: target.
	button setBalloonText: text.
	self 
		addComponent: button
	 	fractions: fractions 
		offsets: offset
 ! !

!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 14:08'!
addComponent: aMorph fractions: fractions offsets: offsets

	self
		addMorph: aMorph
		fullFrame:
				(LayoutFrame
					fractions: 
					((fractions first)@(fractions second) corner: 
						(fractions third)@(fractions fourth))
					offsets:
						((offsets first)@(offsets second)  corner:
							(offsets third)@(offsets fourth)))! !


!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 15:03'!
createButton
	
	|button|
	button := SimpleButtonMorph new.
	button
		 borderStyle: BorderStyle raised; 
		 borderWidth: 0;
	 	 color: Color veryLightGray;
   	 	 label: '';
  	 	 extent: 32@32;	 	
	     cornerStyle: #squared;
		 on: #mouseEnter send: #activate: to: self;
		openInWorld.


! !

!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 14:23'!
createCloseButton
	
	^SimpleButtonMorph new
		 borderStyle: BorderStyle complexAltInset; 
		 borderWidth: 3;
	 	 color: Color veryLightGray;
   	 	 label: '';
  	 	 extent: 10@10;
		 position: 4@4;
		 target: [(nil confirm: 'Really close this window?') ifTrue: [self delete]];
		 actionSelector: #value;
	     cornerStyle: #squared
 

! !

!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 14:17'!
createGradientTitleBar

	^RectangleMorph new
		borderStyle: BorderStyle raised; 
	 	borderWidth: 1;
	 	fillStyle: (GradientFillStyle new
					colorRamp: {
						0.0 -> (Color fromString: '#0A246A'). 
						1.0 -> (Color fromString: '#A6CAF0')};
					radial: false;
					origin: 0 @ 0;
					direction: 100@0);
		addMorph: self createCloseButton; 
		 
		yourself
 ! !


!DWSPDeveloperMenu methodsFor: 'initialize-release' stamp: 'TBN 11/26/2003 12:46'!
initChildWindows

	self 
		addComponent: self createGradientTitleBar
	 	fractions: #(0 0 1 0) 
		offsets: #(2 2 -2 20).

	self 
		addButton: #imageForTranscript
		action: #open 
		target: Transcript
		helpText: 'Open Transcript'
		at: 1@1.

	self 
		addButton: #imageForWorkspace
		action: #open
		target: Workspace 
		helpText: 'Open Workspace'
		at: 2@1.

	self 
		addButton: #imageForBrowser
		action: #openBrowser
		target: Browser 
		helpText: 'Open Browser'
		at: 3@1.

	self 
		addButton: #imageForStarBrowser
		action: #open
		target: StarBrowser 
		helpText: 'Star Browser'
		at: 4@1.

	self 
		addButton: #imageForMethodFinder
		action: #value
		target: [SelectorBrowser new morphicWindow openInWorld] 
		helpText: 'Open Method Finder'
		at: 5@1.

	self 
		addButton: #imageForPackageLoader
		action: #open
		target: SMLoader 
		helpText: 'Open Package Loader'
		at: 6@1.

	self 
		addButton: #imageForCategoricalPackageLoader
		action: #open
		target: CategoricalSMLoader  
		helpText: 'Open Categorical Package Loader'
		at: 7@1.

	self 
		addButton: #imageForTestBrowser
		action: #value
		target: [ (Smalltalk at: #TestBrowser) open ]
		helpText: 'Open SUnit Test Browser'
		at: 1@2.

 	self 
		addButton: #imageForMonticello
		action: #value
		target: [ (Smalltalk at: #MCWorkingCopyBrowser) open ]
		helpText: 'Open Monticello'
		at: 2@2.

	self
		addButton: #imageForScamper
		action: #value
		target: [ (Smalltalk at: #Scamper) open ]
		helpText: 'Open Scamper Webbrowser'
		at: 3@2.

	self
		addButton: #imageForCeleste
		action: #value
		target: [ (Smalltalk at: #Celeste) open ]
		helpText: 'Open Scamper Webbrowser'
		at: 4@2.

	self 
		addButton: #imageForJacaranda
		action: #value
		target: [ World project flapsSuppressed: false. (Smalltalk at: #DiagramBrowser) openBrowser ]
		helpText: 'Open Diagram Browser'
		at: 5@2.

	self 
		addButton: #imageForMemoryUsage
		action: #value
		target: [ MemoryUsage new color: Color lightBlue; openInWorld ]
		helpText: 'Open Memory Usage'
		at: 6@2.

	self 
		addButton: #imageForFileList
		action: #value
		target: [(TheWorldMenu new adaptToWorld: World) openFileList] 
		helpText: 'Open File List'
		at: 7@2.




 
 ! !

!DWSPDeveloperMenu methodsFor: 'initialize-release' stamp: 'TBN 11/26/2003 12:23'!
initialize
	super initialize.
	self 
		borderStyle: BorderStyle raised; 
		borderWidth: 1;
		color: Color veryLightGray;
		layoutPolicy: ProportionalLayout new.
	self bounds extent: 258@98. 
	self position: 20@20.
	self initChildWindows
	! !


!DWSPDeveloperMenu methodsFor: 'interface opening' stamp: 'TBN 10/22/2003 14:00'!
open
	self openInWorld! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPDeveloperMenu class
	instanceVariableNames: ''!

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 17:07'!
imageForBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331153 286331153 286331153 268435456 17 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 268435456 17 268435456 49 270672418 572661809 288568112 858993457 270672418 572661809 286331152 823202065 268435456 49 286331152 0 2236962 572661809 286331152 858993459 807543330 572661809 286331152 823202065 268435456 49 286331152 823202065 270672418 572661809 286331152 823202065 270672418 572661809 286331152 823202065 268435456 49 286331152 823202065 288568115 858993457 286331152 823202065 286331153 286331153 286331152 823202065 268435456 17 286331152 823202065 270672418 572661809 286331152 823202065 270672418 572661809 286331152 823202065 268435456 49 286331152 0 2236962 572661809 286331153 858993459 807543330 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 288568115 858993457)
	offset: 0@0)
	colorsFromArray: #(#(0.741 0.482 0.0) #( ) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:47'!
imageForCategoricalPackageLoader
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331153 286331153 286331153 286331153 286331153 286331170 554766609 286331153 286331153 286331477 1109463313 286331153 286331153 304222771 1430397201 286331153 286331153 626270771 861225505 286331153 286331153 590697506 859002144 286331153 286331154 590558548 573780512 286331153 286331173 1379087157 1375941152 286331153 286331171 1428370227 570634784 286331153 286331443 894579507 570634784 286331153 286331443 861217587 570634784 286331153 286335744 859132467 570634784 286331153 286335744 859002147 570565152 286331153 304231219 805511683 570774048 286331153 592716595 805511682 570634784 286331154 859120179 858923093 570634784 286331171 859128355 858923059 570634784 286331443 859001426 857867059 570634784 286336291 805524517 589431603 570634784 286405923 805516580 1377841971 570634784 287519570 858993984 1109406515 570438144 305345362 858993184 570426163 570556433 590558005 590553632 570564611 536940817 53674037 590488066 539107872 17895697 53674035 1377968194 539107601 286331153 271790899 1377960994 35721489 286331153 271790899 572530722 17895697 286331153 285422386 570565120 286331153 286331153 285422370 539107601 286331153 286331153 286274082 35721489 286331153 286331153 286269984 554766609 286331153 286331153 286326786 286331153 286331153 286331153)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #( ) #(0.678 0.678 0.482) #(0.807 0.807 0.58) #(0.807 0.807 0.807) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/30/2003 16:16'!
imageForCeleste
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662272 35791394 572662306 572662306 572653653 1342317090 572662306 572662306 572544341 1431314978 572662306 572522496 0 0 8738 572540518 1181107814 1181107814 1180705314 572548678 1715889734 1715889734 1715479074 572540433 291915366 1181107814 1180705314 572548678 1715889734 1715889734 1715479074 570443281 370217318 1181107814 1180697122 542139974 1715889734 1715889734 1715490850 89146982 1181107814 1181107814 1180718338 5269062 286332481 289804561 373313538 50349670 1181107814 1181107814 1180697346 53503558 286658838 286332433 1715483394 53675622 1181107814 1181107814 1174614786 53686342 286351633 370544918 1613968130 53687040 1181107814 1181107808 53687042 53687091 105276998 1715889667 858993410 53687091 805717606 1181089843 858993410 53687091 808478278 1715482675 858993410 53687091 53674086 1073951491 858993410 53687088 858993408 53687088 858993410 53687043 858993459 858993459 53687042 53686323 858993459 858993459 808661762 53674803 858993459 858993459 855847682 53490483 858993459 858993459 858796802 50541363 858993459 858993459 858981122 3355443 858993459 858993459 858992642 0 0 0 2 572662306 572662306 572662306 572662306)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.451 0.451 0.451) #( ) #(0.807 0.807 1.0) #(1.0 1.0 0.807) #(1.0 1.0 0.968) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:58'!
imageForFileList
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858992640 13107 858993459 858993459 858983082 2863137587 858993459 858993459 858827400 2290638899 858993459 858993459 856335974 1717986307 858993459 858993459 816464964 1145324608 0 51 178956970 2863311530 2863311530 2863311363 144284057 2576980377 2576980377 2576978179 144284057 2576980376 2559080567 1987461379 144284057 2566914185 2290583415 1734754563 144284057 2426963976 2289596278 1986412803 144284057 172246080 7 1717911811 144284057 178956970 2863311376 1716928771 144284057 161061272 2290574864 1701134595 144284057 161061256 2289460496 1448427779 144284057 161061000 2271630608 1700086019 144284056 161056904 1986352400 1431650563 144284041 160991367 1716868368 1431650563 144283800 159942774 1700091152 1431650563 144279944 143165286 1431655696 1431650563 144218248 89478485 1431655696 1431650563 143231111 0 0 1431650563 144214136 2004252262 1448432981 1431650563 140858709 1431655765 1431655765 1431650563 102900258 572662306 572662306 572662019 0 0 0 3 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.321 0.321 0.321) #(0.451 0.451 0.451) #( ) #(0.611 0.611 0.611) #(0.646 0.646 0.646) #(0.776 0.776 0.776) #(0.807 0.807 0.807) #(0.87 0.87 0.87) #(1.0 1.0 0.968) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:17'!
imageForJacaranda
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2004287488 0 0 2004318071 2004291310 4008636142 4008636128 125269879 2004291310 4008636142 4008636128 3765925751 2004291310 4008636142 4008636128 3993466743 2004291310 4008636142 4008636128 4007688055 2004291310 4008636142 4008636112 4008576887 2004291310 4008636142 4008570336 1911 2004291310 4008636142 3739147998 3739092855 2004291310 4008636141 3991793133 3990685559 2004291310 0 0 3739092855 2004291310 22630745 1364283728 3722250103 2004291310 157902486 1717986832 3470591863 2004291294 110729574 1717986896 3453814647 2004291310 161060454 1717986832 3453814647 2004291309 10067456 0 3453683575 2004291294 177813738 2863311520 3453814647 2004291310 164217486 3435973792 3420129143 2004291293 214551592 3972844704 3451717495 2004291054 214551746 2395786400 3420129143 2004291293 0 685768704 3451717495 2004291310 178956970 2727258784 3418031991 2004291293 214748364 3425234080 3451717495 2004291053 214748364 3435302048 3418031991 2004291310 214748364 3435973792 3451717495 2004291294 0 0 3418031991 2004291294 3737963724 3435973836 3418031991 2004291051 3954490299 3149183931 3149137783 2004291291 3149642683 3149642683 3149596535 2004290996 3031741620 3031741620 3031697271 2004290379 3142302539 3142302539 3142256503 2004287488 0 0 1911 2004318071 2004318071 2004318071 2004318071)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.0 0.388) #(0.388 0.0 0.388) #(0.388 0.388 0.0) #(0.388 0.388 0.388) #(0.0 0.0 0.611) #(0.0 0.0 1.0) #( ) #(1.0 0.0 1.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.611 0.611 0.611) #(0.776 0.776 0.776) #(0.807 0.807 0.807) #(1.0 1.0 1.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:39'!
imageForMemoryUsage
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 1717986918 1717986918 1717986918 1717986918 1717986816 107374182 1717986918 1717986918 1717960738 537290342 1717986918 1717986918 1711284768 89130598 1717986918 1717986918 2236928 348166 1717986918 1717986918 54809856 1360 107374182 1717986918 7618901 1285 1342596710 1717986918 1711305747 1426083840 89130598 1717986918 1717960820 878006272 348166 1717986918 1717986816 1949586688 21840 107374182 1717986918 7614805 20485 1342596710 1717986918 1711305796 1426391040 89130598 1717986816 107348084 1096089600 348166 1717960738 537290240 1949390080 349520 1711284768 89130598 7619669 5592368 2236928 348166 1711305793 1429418240 54809856 1360 107348084 858849382 7618901 1285 1342596608 1929406054 1711305747 1426083840 89130598 6710886 1717960820 878006272 348166 1717986918 1717986816 1949586688 21840 107374182 1717986918 7614805 20485 1342596710 1717986918 1711305796 1426391040 89130598 1717986918 1717960820 1096089600 348166 1717986918 1717986816 1949390080 349520 1717986918 1717986918 7619669 5592368 1717986918 1717986918 1711305793 1429418240 1717986918 1717986918 1717960820 858849382 1717986918 1717986918 1717986816 1929406054 1717986918 1717986918 1717986918 6710886 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.192 0.0) #(0.0 0.258 0.0) #(0.0 0.321 0.0) #(0.192 0.388 0.0) #(0.192 0.611 0.0) #( ) #(1.0 0.807 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:24'!
imageForMethodFinder
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 0 0 0 51 17895697 286331153 286331153 286330931 17895697 286351633 370217233 286330965 17895697 286351633 370217233 286330965 17897057 291922198 1712394513 286330965 17916182 370237793 370237713 286330965 17916182 370237793 370217233 286330965 17916182 370237793 370237713 286330965 17897062 291922198 1712394513 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17917457 286331158 1628508438 1717637205 18223457 291574113 370217238 286330965 17895777 291574033 370566678 1712394325 17896977 1717985553 1628508433 291573845 17916177 291574033 370566673 291573845 18223377 291574113 370217238 291573845 18245217 286331158 1628508433 1712394325 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895702 1717986833 291922193 286330965 1145324612 1145324612 1145324612 1145324629 1145324612 1145324612 1145324612 1145324629 572662306 572662306 572662306 572662357 861230421 1431655765 1431655765 1431655765 861230421 1431655765 1431655765 1431655765)
	offset: 0@0)
	colorsFromArray: #(#(0.192 0.192 0.192) #(0.192 0.388 0.388) #(0.388 0.192 0.0) #( ) #(0.807 0.611 0.388) #(0.611 0.611 0.611) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 14:43'!
imageForMonticello
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331392 2167057 286331153 286331153 286392354 838996241 286331153 286331153 287322931 874520849 286331153 286331153 302199603 1128464913 286331153 286331153 270742323 876879889 286331153 286331153 539177779 1128480801 286331153 286331153 35795763 875835905 286331153 286331153 35857203 858993409 286331153 286331153 35795763 858993409 286331153 286331153 539173683 858993409 286331153 286331153 268566579 858993153 286331153 286331153 268436259 590557217 286331153 286331153 302002946 841163281 286331153 286331153 285224962 573571345 286331153 286331153 285421568 33554449 286331153 286331168 196608 12320 2167057 286335011 273 286262018 573579537 286393139 874520849 286327600 590545425 287322931 1128399377 286392368 53747745 302199603 876872209 286261299 54739457 270738227 1128464929 286269443 590627842 539173683 875835425 287318832 860046112 539177779 805306368 8995 859059248 35795507 808661811 855778083 858997552 35795507 805306368 8755 858993456 539173667 589430817 285221667 590557984 270672691 858992657 287318578 858993410 268575266 842138129 286261794 842150401 301998627 589496593 286392354 589504545 287310370 573579537 286334978 572654097 286392322 135441 286331392 33554705 286331392 34672913 286331154 135441)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #( ) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  ))! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:47'!
imageForPackageLoader
	^(ColorForm
	extent: 31@32
	depth: 4
	fromArray: #( 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717985280 150 0 157705824 1717964031 4194302528 3489636351 2758174304 1717963946 2762647360 3400157866 1952867936 1717961796 1145325376 1145324612 1952867936 1717963946 2762647360 3400157866 1952867936 1717963946 2762647344 3400157866 1936090720 1717963895 1937209088 3346478967 1885759072 1717985280 102 0 107374176 0 0 0 96 859064729 2648702975 4294967017 2576630528 53687369 2577260543 4294826393 2487431264 1610612753 286331152 69905 1632 1717985362 626152710 1717589280 1717986912 1717986821 729962502 1717590048 1717986912 1717986821 729961088 100698144 1717986912 1717986912 629520424 2156431392 1717986912 1717986918 39357314 3095955536 1717986912 1717986918 1613060283 1539003680 1717986912 1717986918 1711416664 2290660640 1717986912 1717986918 1717568037 1485343520 1717986912 1717986918 1717985282 626559056 1717986912 1717986918 1717986912 39159840 1717986912 1717986918 1717986918 35804448 1717986912 1717986918 1717986912 3724533213 107374176 1717986918 1717986912 0 107374176 1717986918 1717986912 53673984 107374176)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.008) #(0.129 0.129 0.129) #(0.388 0.192 0.0) #(0.285 0.285 0.285) #(0.4 0.4 0.4) #(0.807 0.388 0.192) #( ) #(0.678 0.678 0.482) #(1.0 0.611 0.388) #(0.619 0.619 0.619) #(0.807 0.807 0.58) #(1.0 0.807 0.611) #(1.0 1.0 0.741) #(0.823 0.823 0.823) #(0.807 0.807 1.0) #(1.0 1.0 0.987)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/30/2003 14:11'!
imageForScamper
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2863311530 2863267840 43690 2863311530 2863311530 2684372068 284287473 2685053610 2863311520 107373632 4280193527 535866026 2863311366 1717978127 3424555511 536808106 2863308902 1717977340 3253305847 1912598698 2863269478 1717968844 3253305847 1912602394 2862638694 1717964748 3253305847 1912602378 2852406886 1717697740 513376759 1965031409 2852406886 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 71582822 1717632204 513376759 1965031408 71582790 1715535052 513376759 1965031408 71582790 1717832908 513376759 1965031168 71582788 1717832908 429490679 1965031168 71582788 1147551980 3231285751 1375727712 71582788 1145331948 3230237175 1375727712 71582788 1145333262 3424223733 536806464 71582788 1145324640 3961028981 535839808 2688828484 1145324646 249594192 4278469642 2688828484 1145324646 1610645840 4473866 2688828484 1145324646 1644106015 4047782922 2852406340 1145324646 1658843647 3527688362 2852406340 1145324612 1831858687 759447722 2862629956 1145324612 1713369599 340003498 2863268932 1145324612 1085276416 2957028010 2863308868 1145324612 1077654459 806005418 2863311364 1145324612 1086012339 2963974826 2863311520 71582788 1085520699 2963974826 2863311530 2684372036 1077654459 816491178 2863311530 2863267840 0 178956970)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.129 0.129 0.129) #(0.321 0.321 0.321) #(0.451 0.451 0.451) #(0.0 0.0 1.0) #(0.388 0.388 0.807) #(0.0 1.0 0.0) #(0.0 0.611 1.0) #(0.87 0.0 0.0) #(1.0 0.388 0.192) #( ) #(0.807 0.611 0.388) #(1.0 1.0 0.0) #(0.611 0.611 0.611) #(1.0 0.807 0.611) #(0.917 0.917 0.925)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:19'!
imageForStarBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 859124531 858993459 858993459 858993459 860902195 858993459 858993459 858993459 855900979 858993459 858993459 858993461 262149 858993459 858993459 858993488 1145324608 1395864371 858993459 858993461 4472837 858993459 858993459 858993459 1346388051 858993459 858993459 858993459 67437571 858993459 858993459 858993459 5459986 858993459 858993459 858993459 858993409 590558003 858993459 858993459 858993456 305345331 858993459 858993459 858993459 19084083 858993459 858993459 858993459 806499123 858993459 858993459 858993459 855712563 858993459 858993459 858993459 858788403 858993459 858993459 858993459 858980643 858993459 858993459 858993459 858992658 858993459 858993459 858993459 858993409 590558003 858993459 858993459 858993456 305345331 858993459 858993459 858993459 19084083 858993459 858993459 858993459 808661811 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.517 0.0 0.0) #(1.0 0.0 0.0) #( ) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:30'!
imageForTestBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 1431655765 1435011208 2290649224 1431655765 1431655765 1487509913 2576980392 89478485 1431655765 2325322137 2576980616 89478485 1431655768 2863311530 2863310984 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656600 2693805120 2282264584 2424329557 1431656584 2693809220 134780936 2424329557 1431655816 2693809220 134780936 134567253 1431655768 2835362884 8951816 5592405 1431655768 2845410099 143169664 89478485 1431655768 2845415833 2576980104 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656600 2692769648 2282264584 2424329557 1431656584 2692773751 134780936 2424329557 1431655816 2692773751 134780936 134567253 1431655768 2835375991 8951816 5592405 1431655768 2845410918 143169664 5592405 1431655768 2845415833 2576980104 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656584 2692747808 2282264584 2424329557 1431656584 2692751906 134780936 2424329557 1431655816 2692751906 134780936 134567253 1431655768 2835354146 8951816 5592405 1431655768 2845409553 143169536 89478485 1431655768 2827520136 2290653189 1431655765 1431655765 0 85 1431655765)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.517 0.0) #(0.0 1.0 0.0) #(0.517 0.0 0.0) #(1.0 0.0 0.0) #( ) #(0.517 0.517 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 15:52'!
imageForTranscript
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2290649224 2295332864 3208 2290649224 2290649224 3490357786 2790735884 2290649224 2290649229 178921754 2791659328 3364391048 2290649296 2862748075 3127268724 210274440 2290650378 2854296251 3148244311 1086883976 2290667690 588323499 3148244567 1141672072 2290667690 839981755 3148244567 1141672072 2290944682 839981739 3148244567 1950402696 2290944686 839981755 3148244567 1950402696 2290944738 839981739 3148244567 1950402696 2290944686 3792771771 3148244567 3829450888 2290944750 787356331 3953583854 1950402696 2290944686 4008636139 4008636142 1950402696 2290667690 774774510 4008109543 3826026632 2290647210 589369838 3194381687 1141409928 2290650378 2720141739 3127268724 1086883976 2290649098 2721190315 3127269236 1082689672 2290649296 2854363419 3060094788 210274440 2290649229 170074395 3060102976 3364391048 2290649224 3500810779 3059184652 2290649224 2290649224 2366284331 3078176968 2290649224 2290649224 2295376418 2006191240 2290649224 2290649224 2290944546 2034288776 2290649224 2290649224 2290667682 2483849352 2290649224 2290649224 2290650576 214468744 2290649224 2290649224 2290650380 3502803080 2290649224 2290649224 2290667520 218925192 2290649224 2290649224 2290667733 2886502536 2290649224 2290649224 2290667525 3691808904 2290649224 2290649224 2290667741 3691808904 2290649224 2290649224 2290647040 559240 2290649224 2290649224 2290649292 3431499912 2290649224)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.0 0.741) #(0.0 0.741 0.0) #(0.0 1.0 0.0) #(0.0 0.741 0.741) #(0.741 0.0 0.0) #(1.0 0.0 0.0) #(0.741 0.0 0.741) #( ) #(1.0 0.0 1.0) #(0.741 0.741 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0)  ))! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:05'!
imageForWorkspace
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 572662306 572662306 572858914 572662306 572662306 572662306 626479650 572662306 572662306 572662309 1464300834 572662306 572662306 1431446871 1198999378 572662306 572662357 2003130183 2001172293 572662306 572663111 2001090423 1198999415 1377968674 572675959 1700094791 2001172295 1965171234 572868453 1983271223 1198999415 1196565026 576157286 1701143350 2001172295 2001019426 625431911 1712740115 1735870327 1199002146 930502165 1431721301 927430471 2001171746 930506582 1969559159 913786743 1198999378 1668773126 1461024631 1937209159 2001172293 909600593 1700165495 2000111479 1198999347 909604374 1450669943 2000058183 2001154918 1667450725 1735882615 2004051831 1194550835 104216439 2004318071 2004301383 862335841 20330055 2004318071 2001154867 1714643216 538141559 2004318071 1999860582 861999106 538326583 2004318071 863385139 1628439074 570504759 2004318067 1983084081 268575266 572527459 2004318007 863384336 35791394 572528182 930575219 1982926850 572662306 572653878 930559799 823132706 572662306 572661779 1668510577 268575266 572662306 572661782 909588240 35791394 572662306 572662273 912486656 572662306 572662306 572662304 322375682 572662306 572662306 572662304 325124130 572662306 572662306 572662306 17826338 572662306 572662306 572662306 536879650 572662306 572662306 572662306 537010722 572662306 572662306)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.517 0.0 0.0) #( ) #(0.517 0.517 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  ))! !


!DWSPDeveloperMenu class methodsFor: 'instance creation' stamp: 'TBN 10/22/2003 14:24'!
open

	^self new 
		open! !


!DWSPDeveloperMenu class methodsFor: 'package-startup' stamp: 'TBN 11/26/2003 11:56'!
openDescriptionBook
	|book|
	book := self class environment at: #DWSPBookMorph ifAbsent: [^self].
	self class environment removeKey: #DWSPBookMorph.
	book openInWorld.
	book position: 150@150.

! !

!DWSPDeveloperMenu class methodsFor: 'package-startup' stamp: 'TBN 10/30/2003 15:53'!
packageStartUp
	"this is used by the preamble of the SAR package"

	Preferences disable: #showSharedFlaps.
	self open.
	World removeActionsWithReceiver: self.
	self openDescriptionBook! !


SimpleButtonMorph subclass: #DWSPToolButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Developer-Workspace'!

!DWSPToolButton methodsFor: 'initialization' stamp: 'TBN 10/22/2003 16:58'!
initialize
	super initialize.
	self 
		borderStyle: BorderStyle raised; 
		borderWidth: 0;
	 	color: Color veryLightGray;
   	 	label: '';
  	 	extent: 36@36;	 	
	    cornerStyle: #squared;
		on: #mouseEnter send: #mouseEnter: to: self;
		on: #mouseLeave send: #mouseLeave: to: self.! !


!DWSPToolButton methodsFor: 'events' stamp: 'TBN 10/22/2003 15:20'!
mouseEnter: anEvent
	self borderWidth: 1! !

!DWSPToolButton methodsFor: 'events' stamp: 'TBN 10/22/2003 16:15'!
mouseLeave: anEvent
	self borderWidth: 0! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPToolButton class
	instanceVariableNames: ''!

!DWSPToolButton class methodsFor: 'examples' stamp: 'TBN 10/22/2003 15:31'!
example1
	"self example1"

	^(self  
		image: DWSPDeveloperMenu imageForMonticello
		actionSelector: #inspect
		target: 1) openInWorld! !


!DWSPToolButton class methodsFor: 'instance creation' stamp: 'TBN 10/22/2003 15:30'!
image: image actionSelector: selector target: aTarget

	|picture|
	picture := image asMorph.
	picture position: 2@2.
	^self new
		actionSelector: selector;
		target: aTarget;
		addMorph: picture 
		 

	
		! !
